Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Class QuantityImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.units.QuantityImpl

public class QuantityImpl
extends BelongingImpl
implements Quantity

The quantity of something. It has a count and a unit of measure (e.g. 4 bags, 5 liters)

See Also:
  `Quantity`, `QuantityHome`, Serialized Form

Field Summary
`double` | `count` count [Quantity] <*>------> [`double`]
`Unit` | `unit` unit [Quantity] <*>------> [`theory.smart.axiom.units.Unit`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`QuantityImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`double` | `getCount()` Get the value of count
`Unit` | `getUnit()` Get the value of unit
`void` | `setCount(double count)` Set the value of count
`void` | `setUnit(Unit unit)` Set the value of unit
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    public double count

                        count
       [Quantity] <*>------> [double]

### unit

    public Unit unit

                        unit
       [Quantity] <*>------> [theory.smart.axiom.units.Unit]

Constructor Detail

### QuantityImpl

    public QuantityImpl()

Method Detail

### getCount

    public double getCount()

  Get the value of count
  Specified by:
    getCount in interface Quantity
  Returns:
    count.

### setCount

    public void setCount(double count)

  Set the value of count
  Specified by:
    setCount in interface Quantity
  Parameters:
    `count` - count to be added

### getUnit

    public Unit getUnit()

  Get the value of unit
  Specified by:
    getUnit in interface Quantity
  Returns:
    unit.

### setUnit

    public void setUnit(Unit unit)

  Set the value of unit
  Specified by:
    setUnit in interface Quantity
  Parameters:
    `unit` - unit to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.